version: '2.0'
services:
  es01:
    image: docker.elastic.co/elasticsearch/elasticsearch:7.12.1
    container_name: es01
    environment:
      - node.name=es01
      - xpack.security.enabled=false
      - discovery.type=single-node
      - bootstrap.memory_lock=true
      - "ES_JAVA_OPTS=-Xms512m -Xmx512m"
    ulimits:
      memlock:
        soft: -1
        hard: -1
      nofile:
        soft: 65536
        hard: 65536
    #volumes:
    #  - data01:/usr/share/elasticsearch/data
    ports:
      - 9200:9200
      - 9300:9300
    networks:
      - elastic
    restart: "unless-stopped"
  library-api:
    build:
      context: ./library-api/
      dockerfile: Dockerfile
      args:
        ELASTIC_SERVER: "es01:9200"
    image: java:11
    container_name: library-api
    environment:
      JAVA_TOOL_OPTIONS: -agentlib:jdwp=transport=dt_socket,address=5005,server=y,suspend=n
    ports:
      - "443:8443"
      - "80:8080"
      # - "{túnel de debug}:5005"
    networks:
      - elastic
    restart: "unless-stopped"

networks:
  elastic:
    driver: bridge
#    ipam:
#      driver: default
#      config:
#        - subnet: 172.16.238.0/24
#        - gateway: 172.16.238.1
